import { Story, Canvas, ArgsTable } from '@storybook/addon-docs/blocks'
import Button from "./pure"
import { MDXGroup, CompGroupLink, MDXTitle } from "@constants/story"

# Button

Basic button definition

<Meta title={`${MDXGroup}/Button/Basic/${MDXTitle}`}/>


<ArgsTable of={Button} />

## Default
```js
<Button />
```
<Canvas>
  <Story name="Default" id="component-button-basic--default" />
</Canvas>


## Normal
```js
<Button on:click={() => console.log("clicked")} type="primary" title="Button" disabled={false} loading={false} />
```
<Canvas>
  <Story name="Normal" id="component-button-basic--normal" />
</Canvas>


## Disabled
```js
<Button on:click={() => console.log("clicked")} type="primary" title="Button" disabled={true} loading={false} />
```
<Canvas>
  <Story name="Disabled" id="component-button-basic--disabled" />
</Canvas>


## Loading
```js
<Button on:click={() => console.log("clicked")} type="primary" title="Button" disabled={false} loading={true} />
```
<Canvas>
  <Story name="Loading" id="component-button-basic--loading" />
</Canvas>


## Secondary
```js
<Button on:click={() => console.log("clicked")} type="secondary" title="Button" disabled={false} loading={false} />
```
<Canvas>
  <Story name="Secondary" id="component-button-basic--secondary" />
</Canvas>

## Transparent
```js
<Button on:click={() => console.log("clicked")} type="primary" title="Button" disabled={false} loading={false} />
```
<Canvas>
  <Story name="Transparent" id="component-button-basic--transparent" />
</Canvas>

